Subject: Re: [PATCH net-next] qdisc: allow setting default queuing discipline

From: Stephen Hemminger <[email-masked]>
Date: Wed, 28 Aug 2013 10:28:35 -0700

On Wed, 28 Aug 2013 10:20:53 -0700
Eric Dumazet <[email-masked]> wrote:

> On Wed, 2013-08-28 at 09:18 -0700, Stephen Hemminger wrote:
> 
> > Although your idea adds completeness, not sure if it is worth it.
> > The thing is if user is using HTB, they already are using tc
> > commands to set it up, therefore the additional script steps to choose some
> > other qdisc for the leaf nodes doesn't seem like a burden.
> > Therefore the sysctl doesn't help much and might even create more
> > confusion because there is now two places to update.
> 
> Well, I need such a facility because I cannot change HTB setup.
> 
> I can boot a new kernel, yet not really change user scripts, especially
> when tc setup is actually not a script, but a complex binary doing
> constant changes in a complex and dynamic HTB hierarchy.
> 
> 
> 

Hate to say it but maybe module parameter to htb would be an alternative
if you have to deal with that.